<html>
<head>
<title>OGRE: Ogre::RenderOperation Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a></div>
<h1>Ogre::RenderOperation Class Reference</h1><!-- doxytag: class="Ogre::RenderOperation" -->'New' rendering operation using vertex buffers.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRenderOperation_8h-source.html">OgreRenderOperation.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1RenderOperation-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d">OperationType</a> { <br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10ded142a19459e32c7d8aef5975f534d5e">OT_POINT_LIST</a> =  1, 
<a class="el" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d68a6fc2c1c6938542664b89cf213c3eb">OT_LINE_LIST</a> =  2, 
<a class="el" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d4bc7bbf09ce027518e33e61249e699a1">OT_LINE_STRIP</a> =  3, 
<a class="el" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d8c00ee152b44fe8000c2fd675437c087">OT_TRIANGLE_LIST</a> =  4, 
<br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d646d8e8fd2aad4baab4809e6f80bfc74">OT_TRIANGLE_STRIP</a> =  5, 
<a class="el" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d74eb8a7062ea4c0b2fdfe3cc6b9781ad">OT_TRIANGLE_FAN</a> =  6
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The rendering operation type to perform.  <a href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderOperation.html#21998ad8a9cb134420158dc8e2663eac">RenderOperation</a> ()</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderOperation.html#306c2ed3599abab29a027325e3d6d721">vertexData</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Vertex source data.  <a href="#306c2ed3599abab29a027325e3d6d721"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d">OperationType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderOperation.html#880adde68db01dffcfac616de0ef1f45">operationType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The type of operation to perform.  <a href="#880adde68db01dffcfac616de0ef1f45"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderOperation.html#e12d3ff9f224f21738fa50f832484f3d">useIndexes</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specifies whether to use indexes to determine the vertices to use as input.  <a href="#e12d3ff9f224f21738fa50f832484f3d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1IndexData.html">IndexData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderOperation.html#bd5f99e4d8429321e0da75acdcfdc52f">indexData</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Index data - only valid if useIndexes is true.  <a href="#bd5f99e4d8429321e0da75acdcfdc52f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderOperation.html#6f6cbc81ef5f41d3a0357a40095aba33">srcRenderable</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Debug pointer back to renderable which created this.  <a href="#6f6cbc81ef5f41d3a0357a40095aba33"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
'New' rendering operation using vertex buffers. 
<p>

<p>Definition at line <a class="el" href="OgreRenderOperation_8h-source.html#l00039">39</a> of file <a class="el" href="OgreRenderOperation_8h-source.html">OgreRenderOperation.h</a>.</p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="7a272218dae54048c87f31176c19e10d"></a><!-- doxytag: member="Ogre::RenderOperation::OperationType" ref="7a272218dae54048c87f31176c19e10d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d">Ogre::RenderOperation::OperationType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The rendering operation type to perform. 
<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="7a272218dae54048c87f31176c19e10ded142a19459e32c7d8aef5975f534d5e"></a><!-- doxytag: member="OT_POINT_LIST" ref="7a272218dae54048c87f31176c19e10ded142a19459e32c7d8aef5975f534d5e" args="" -->OT_POINT_LIST</em>&nbsp;</td><td>
A list of points, 1 vertex per point. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="7a272218dae54048c87f31176c19e10d68a6fc2c1c6938542664b89cf213c3eb"></a><!-- doxytag: member="OT_LINE_LIST" ref="7a272218dae54048c87f31176c19e10d68a6fc2c1c6938542664b89cf213c3eb" args="" -->OT_LINE_LIST</em>&nbsp;</td><td>
A list of lines, 2 vertices per line. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="7a272218dae54048c87f31176c19e10d4bc7bbf09ce027518e33e61249e699a1"></a><!-- doxytag: member="OT_LINE_STRIP" ref="7a272218dae54048c87f31176c19e10d4bc7bbf09ce027518e33e61249e699a1" args="" -->OT_LINE_STRIP</em>&nbsp;</td><td>
A strip of connected lines, 1 vertex per line plus 1 start vertex. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="7a272218dae54048c87f31176c19e10d8c00ee152b44fe8000c2fd675437c087"></a><!-- doxytag: member="OT_TRIANGLE_LIST" ref="7a272218dae54048c87f31176c19e10d8c00ee152b44fe8000c2fd675437c087" args="" -->OT_TRIANGLE_LIST</em>&nbsp;</td><td>
A list of triangles, 3 vertices per triangle. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="7a272218dae54048c87f31176c19e10d646d8e8fd2aad4baab4809e6f80bfc74"></a><!-- doxytag: member="OT_TRIANGLE_STRIP" ref="7a272218dae54048c87f31176c19e10d646d8e8fd2aad4baab4809e6f80bfc74" args="" -->OT_TRIANGLE_STRIP</em>&nbsp;</td><td>
A strip of triangles, 3 vertices for the first triangle, and 1 per triangle after that. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="7a272218dae54048c87f31176c19e10d74eb8a7062ea4c0b2fdfe3cc6b9781ad"></a><!-- doxytag: member="OT_TRIANGLE_FAN" ref="7a272218dae54048c87f31176c19e10d74eb8a7062ea4c0b2fdfe3cc6b9781ad" args="" -->OT_TRIANGLE_FAN</em>&nbsp;</td><td>
A fan of triangles, 3 vertices for the first triangle, and 1 per triangle after that. </td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreRenderOperation_8h-source.html#l00042">42</a> of file <a class="el" href="OgreRenderOperation_8h-source.html">OgreRenderOperation.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="21998ad8a9cb134420158dc8e2663eac"></a><!-- doxytag: member="Ogre::RenderOperation::RenderOperation" ref="21998ad8a9cb134420158dc8e2663eac" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::RenderOperation::RenderOperation           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderOperation_8h-source.html#l00075">75</a> of file <a class="el" href="OgreRenderOperation_8h-source.html">OgreRenderOperation.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="306c2ed3599abab29a027325e3d6d721"></a><!-- doxytag: member="Ogre::RenderOperation::vertexData" ref="306c2ed3599abab29a027325e3d6d721" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexData.html">VertexData</a>* <a class="el" href="classOgre_1_1RenderOperation.html#306c2ed3599abab29a027325e3d6d721">Ogre::RenderOperation::vertexData</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Vertex source data. 
<p>

<p>Definition at line <a class="el" href="OgreRenderOperation_8h-source.html#l00058">58</a> of file <a class="el" href="OgreRenderOperation_8h-source.html">OgreRenderOperation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="880adde68db01dffcfac616de0ef1f45"></a><!-- doxytag: member="Ogre::RenderOperation::operationType" ref="880adde68db01dffcfac616de0ef1f45" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d">OperationType</a> <a class="el" href="classOgre_1_1RenderOperation.html#880adde68db01dffcfac616de0ef1f45">Ogre::RenderOperation::operationType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The type of operation to perform. 
<p>

<p>Definition at line <a class="el" href="OgreRenderOperation_8h-source.html#l00061">61</a> of file <a class="el" href="OgreRenderOperation_8h-source.html">OgreRenderOperation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e12d3ff9f224f21738fa50f832484f3d"></a><!-- doxytag: member="Ogre::RenderOperation::useIndexes" ref="e12d3ff9f224f21738fa50f832484f3d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderOperation.html#e12d3ff9f224f21738fa50f832484f3d">Ogre::RenderOperation::useIndexes</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Specifies whether to use indexes to determine the vertices to use as input. 
<p>
If false, the vertices are simply read in sequence to define the primitives. If true, indexes are used instead to identify vertices anywhere in the buffer, and allowing vertices to be used more than once. If true, then the indexBuffer, indexStart and numIndexes properties must be valid. 
<p>Definition at line <a class="el" href="OgreRenderOperation_8h-source.html#l00067">67</a> of file <a class="el" href="OgreRenderOperation_8h-source.html">OgreRenderOperation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bd5f99e4d8429321e0da75acdcfdc52f"></a><!-- doxytag: member="Ogre::RenderOperation::indexData" ref="bd5f99e4d8429321e0da75acdcfdc52f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1IndexData.html">IndexData</a>* <a class="el" href="classOgre_1_1RenderOperation.html#bd5f99e4d8429321e0da75acdcfdc52f">Ogre::RenderOperation::indexData</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Index data - only valid if useIndexes is true. 
<p>

<p>Definition at line <a class="el" href="OgreRenderOperation_8h-source.html#l00070">70</a> of file <a class="el" href="OgreRenderOperation_8h-source.html">OgreRenderOperation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6f6cbc81ef5f41d3a0357a40095aba33"></a><!-- doxytag: member="Ogre::RenderOperation::srcRenderable" ref="6f6cbc81ef5f41d3a0357a40095aba33" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Renderable.html">Renderable</a>* <a class="el" href="classOgre_1_1RenderOperation.html#6f6cbc81ef5f41d3a0357a40095aba33">Ogre::RenderOperation::srcRenderable</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Debug pointer back to renderable which created this. 
<p>

<p>Definition at line <a class="el" href="OgreRenderOperation_8h-source.html#l00072">72</a> of file <a class="el" href="OgreRenderOperation_8h-source.html">OgreRenderOperation.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderOperation_8h-source.html">OgreRenderOperation.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:04 2008
</p>
</body>
</html>
